package bus

import (
	"work-device/conf"

	"infish.cn/comm"
)

var NatsCenter *comm.NatsBus

func NewNatsBus(app *conf.AppConf) *comm.NatsBus {

	localBus, err := comm.NewNatsBus2(app.Nats.Url, app.Nats.MaxReconnect, app.Nats.ReconnDelaySecond, []*comm.NatsStreamWather{}, []*comm.NatsMsgReplyer{})
	if err != nil {
		panic(err)
	}

	// listenPaySucc(localBus)

	NatsCenter = localBus

	return NatsCenter
}
